package com.zehong.system.domain.train;

import com.zehong.common.annotation.Excel;
import com.zehong.common.core.domain.BaseEntity;

/**
 * bank对象 t_train_course_bank
 *
 * @author zehong
 * @date 2022-12-14
 */
public class TTrainCourseBank extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键id */
    private Long bankId;

    /** 所属部门 */
    private Long deptId;

    /** 题库名称 */
    @Excel(name = "题库名称")
    private String bankName;

    /**下级题目数量*/
    private String numberQuestions;

    /** 是否删除 0未删除  1删除 */
    private Integer isDel;

    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

    public String getNumberQuestions() {
        return numberQuestions;
    }

    public void setNumberQuestions(String numberQuestions) {
        this.numberQuestions = numberQuestions;
    }

    public void setBankId(Long bankId)
    {
        this.bankId = bankId;
    }

    public Long getBankId()
    {
        return bankId;
    }
    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }
    public void setBankName(String bankName)
    {
        this.bankName = bankName;
    }

    public String getBankName()
    {
        return bankName;
    }
    public void setIsDel(Integer isDel)
    {
        this.isDel = isDel;
    }

    public Integer getIsDel()
    {
        return isDel;
    }

    @Override
    public String toString() {
        return "TTrainCourseBank{" +
                "bankId=" + bankId +
                ", deptId=" + deptId +
                ", bankName='" + bankName + '\'' +
                ", numberQuestions='" + numberQuestions + '\'' +
                ", isDel=" + isDel +
                '}';
    }
}
